'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var OpenWeatherMap = function OpenWeatherMap(_ref) {
  var data = _ref.data,
      config = _ref.config;

  if (data === OpenWeatherMap.defaultProps.data) {
    return _react2.default.createElement('div', { className: config.containerClassName });
  }

  var day = _moment2.default.unix(data.dt);
  var src = '//openweathermap.org/img/w/' + data.weather[0].icon + '.png';

  return _react2.default.createElement(
    'div',
    { className: config.containerClassName },
    _react2.default.createElement(
      'div',
      { className: 'main-heading' },
      data.name,
      ', ',
      data.sys.country
    ),
    _react2.default.createElement(
      'div',
      { className: 'day' },
      day.format('dddd h:mm A')
    ),
    _react2.default.createElement(
      'div',
      { className: 'description' },
      data.weather[0].description
    ),
    _react2.default.createElement(
      'div',
      { className: 'icon' },
      _react2.default.createElement('img', { src: src, alt: data.weather[0].description })
    ),
    _react2.default.createElement(
      'div',
      { className: 'temperature' },
      data.main.temp,
      ' \xB0C'
    )
  );
};

OpenWeatherMap.propTypes = {
  data: _propTypes2.default.object,
  config: _propTypes2.default.object
};

OpenWeatherMap.defaultProps = {
  data: { weather: [{}], sys: {}, main: {} },
  config: { containerClassName: 'react-open-weather-map' }
};

exports.default = OpenWeatherMap;
